package com.mdd.admin.controller.setting;

import com.mdd.admin.aop.Log;
import com.mdd.admin.service.ISettingSearchService;
import com.mdd.admin.validate.setting.SettingSearchValidate;
import com.mdd.admin.vo.setting.SettingSearchDetailVo;
import com.mdd.common.core.AjaxResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import javax.annotation.Resource;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping({"api/setting/search"})
@Api(
   tags = {"配置热门搜索"}
)
public class SettingSearchController {
   @Resource
   ISettingSearchService iSettingSearchService;

   @GetMapping({"/detail"})
   @ApiOperation("热门搜索详情")
   public AjaxResult<SettingSearchDetailVo> detail() {
      SettingSearchDetailVo vo = this.iSettingSearchService.detail();
      return AjaxResult.success(vo);
   }

   @Log(
      title = "热门搜索编辑"
   )
   @PostMapping({"/save"})
   @ApiOperation("热门搜索编辑")
   public AjaxResult<Object> save(@Validated @RequestBody SettingSearchValidate searchValidate) {
      this.iSettingSearchService.save(searchValidate);
      return AjaxResult.success();
   }
}
